Skip to content

Get Graph Projection

GET
/v1/admin/semantics/projection
curl --request GET \
--url 'https://example.com/v1/admin/semantics/projection?tenant_id=&limit=50'
tenant_id
Tenant Id
string
""
limit
Limit
integer
default: 50 >= 1 <= 200
x-pomerium-jwt-assertion
Any of:
string

Successful Response

Media typeapplication/json
GraphProjectionOut
object
tenant_id
required
Tenant Id
string
graph_name
required
Graph Name
string
node_count
Node Count
integer
0
edge_count
Edge Count
integer
0
nodes
Nodes
Array<object>
object
key
additional properties
any
edges
Edges
Array<object>
object
key
additional properties
any
materialization
Materialization
object
key
additional properties
any
Example
{
"node_count": 0,
"edge_count": 0
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}